<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::border_enumerator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1border__enumerator.html">border_enumerator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1border__enumerator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::border_enumerator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab6eb842be70da1afb43dba38c6c95545"><td class="memItemLeft" align="right" valign="top"><a id="ab6eb842be70da1afb43dba38c6c95545"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>border_enumerator</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect_, unsigned long border_size)</td></tr>
<tr class="separator:ab6eb842be70da1afb43dba38c6c95545"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ba7cc378f8b0147a557a141952ddb0d"><td class="memItemLeft" align="right" valign="top"><a id="a0ba7cc378f8b0147a557a141952ddb0d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>border_enumerator</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect_, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;non_border_region)</td></tr>
<tr class="separator:a0ba7cc378f8b0147a557a141952ddb0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd2e864c39b5106eec89d2d8bf251c8f"><td class="memItemLeft" align="right" valign="top"><a id="abd2e864c39b5106eec89d2d8bf251c8f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>reset</b> ()</td></tr>
<tr class="separator:abd2e864c39b5106eec89d2d8bf251c8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf0f22964b108f99b50f6fbcc2f05457"><td class="memItemLeft" align="right" valign="top"><a id="aaf0f22964b108f99b50f6fbcc2f05457"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>at_start</b> () const</td></tr>
<tr class="separator:aaf0f22964b108f99b50f6fbcc2f05457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e29000b45cc12856340714948511501"><td class="memItemLeft" align="right" valign="top"><a id="a1e29000b45cc12856340714948511501"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>current_element_valid</b> () const</td></tr>
<tr class="separator:a1e29000b45cc12856340714948511501"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad572c9231af4bcb59be933be41b08137"><td class="memItemLeft" align="right" valign="top"><a id="ad572c9231af4bcb59be933be41b08137"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>move_next</b> ()</td></tr>
<tr class="separator:ad572c9231af4bcb59be933be41b08137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fd8955c65f8823b784052bec2644fa1"><td class="memItemLeft" align="right" valign="top"><a id="a7fd8955c65f8823b784052bec2644fa1"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:a7fd8955c65f8823b784052bec2644fa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86ec21223eebd2303d272e21126c935a"><td class="memItemLeft" align="right" valign="top"><a id="a86ec21223eebd2303d272e21126c935a"></a>
const <a class="el" href="classdlib_1_1vector.html">point</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>element</b> () const</td></tr>
<tr class="separator:a86ec21223eebd2303d272e21126c935a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:ab682d899a8c5ce9c3e088eb99014bae3"><td class="memItemLeft" align="right" valign="top"><a id="ab682d899a8c5ce9c3e088eb99014bae3"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>emode</b> { <b>atleft</b>, 
<b>atright</b>, 
<b>atbottom</b>, 
<b>attop</b>
 }</td></tr>
<tr class="separator:ab682d899a8c5ce9c3e088eb99014bae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aeef947a685b29660bb03db5e47e68ce8"><td class="memItemLeft" align="right" valign="top"><a id="aeef947a685b29660bb03db5e47e68ce8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>advance_point</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;r, <a class="el" href="classdlib_1_1vector.html">point</a> &amp;p) const</td></tr>
<tr class="separator:aeef947a685b29660bb03db5e47e68ce8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af6903bb8a4cae1985888da7f749b0969"><td class="memItemLeft" align="right" valign="top"><a id="af6903bb8a4cae1985888da7f749b0969"></a>
<a class="el" href="classdlib_1_1vector.html">point</a>&#160;</td><td class="memItemRight" valign="bottom"><b>p</b></td></tr>
<tr class="separator:af6903bb8a4cae1985888da7f749b0969"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cac4eab8e597a855996c10d9f005087"><td class="memItemLeft" align="right" valign="top"><a id="a9cac4eab8e597a855996c10d9f005087"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect</b></td></tr>
<tr class="separator:a9cac4eab8e597a855996c10d9f005087"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab83dc84b5e6a9b989dcdf954b1c7a1e2"><td class="memItemLeft" align="right" valign="top"><a id="ab83dc84b5e6a9b989dcdf954b1c7a1e2"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>inner_rect</b></td></tr>
<tr class="separator:ab83dc84b5e6a9b989dcdf954b1c7a1e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac73c7207ae1e1c5d3285c9ede66143c5"><td class="memItemLeft" align="right" valign="top"><a id="ac73c7207ae1e1c5d3285c9ede66143c5"></a>
emode&#160;</td><td class="memItemRight" valign="bottom"><b>mode</b></td></tr>
<tr class="separator:ac73c7207ae1e1c5d3285c9ede66143c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16922bb85678aecf26f5426a726fe237"><td class="memItemLeft" align="right" valign="top"><a id="a16922bb85678aecf26f5426a726fe237"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>btop</b></td></tr>
<tr class="separator:a16922bb85678aecf26f5426a726fe237"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ee2b0d2e59b45caa4c8e95fbf235592"><td class="memItemLeft" align="right" valign="top"><a id="a7ee2b0d2e59b45caa4c8e95fbf235592"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>bleft</b></td></tr>
<tr class="separator:a7ee2b0d2e59b45caa4c8e95fbf235592"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b80397c580ffb71de9093b783eaa8d0"><td class="memItemLeft" align="right" valign="top"><a id="a6b80397c580ffb71de9093b783eaa8d0"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>bright</b></td></tr>
<tr class="separator:a6b80397c580ffb71de9093b783eaa8d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad87889820edd09cf844685076f2b36f1"><td class="memItemLeft" align="right" valign="top"><a id="ad87889820edd09cf844685076f2b36f1"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>bbottom</b></td></tr>
<tr class="separator:ad87889820edd09cf844685076f2b36f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="border__enumerator_8h_source.html">border_enumerator.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
